## libclass-std-storable-perl 0.0.1

=== debian/changelog ===
libclass-std-storable-perl (0.0.1-3) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Set maintainer field to QA Group.
    - Acked by previous maintainer.
      He intends to orphan package, but he does not have his time.
      Thanks to Satoru KURASHIKI <lurdan@gmail.com> for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Oct 2023 12:24:03 +0900

libclass-std-storable-perl (0.0.1-2) unstable; urgency=medium

  * debian/control:
    - New Standards-Version: 3.9.6
    - Build-Depends on libmodule-build-perl. (Closes: #789116)
    - Add Vcs-* field.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 23 Jul 2015 20:05:05 +0900

libclass-std-storable-perl (0.0.1-1) unstable; urgency=low

  * Initial Release. (Closes: #728942)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 6 Nov 2013 11:03:36 +0900
